body,
html {
    height: 100%;
    margin: 0;
    padding: 0;
    font-family: 'Raleway', sans-serif;
    font-size: 14px;
    color: #444444;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    overflow: hidden;
}

* {
    touch-action: manipulation;
}

*,
*::before,
*::after {
    /*box-sizing: border-box;*/
}



.frame {
    top: 0;
    position: absolute;
    left: 0;
    padding: 1rem;
}

.frame__title {
    font-size: 1rem;
    display: inline-block;
}

.frame__links {
    display: inline-block;
    margin: 0 2rem;
    text-transform: lowercase;
}

.frame__links a {
    display: inline-block;
    margin: 0 0.25rem;
    text-decoration: none;
    color: red;
}

.frame__links a:focus,
.frame__links a:hover {
    text-decoration: underline;
}

#c {
    width: 100%;
    height: 100%;
    display: block;
    top: 0;
    left: 0;
}

.controls {
    position: absolute;
    bottom: 0;
    width: 100%;
}
.mouse-controls {
    position: absolute;
    top: 2%;
    margin-left: 45%;
    margin-right: 45%;
    width: 15%
}

.dd-select {
  border-radius: 2px;
  width: 200px !important;
  height: 60px;
  border: solid 1px #ccc;
  position: relative;
  cursor: pointer;
}

.dd-container {
  position: relative;
  padding-bottom: 3px;
}

.dd-image-right {
  float: right;
  margin-right: 15px;
  margin-left: 5px;
}

.dd-option-image, .dd-selected-image {
  vertical-align: middle;
  float: left;
  margin-right: 5px;
  max-width: 64px;
}

.options {
    position: absolute;
    left: 10px;
	
}

.option {
    background-size: cover;
    background-position: 50%;
    background-color: white;
    margin-bottom: 3px;
    padding: 10px;
    height: 62px;
    width: 105px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
	box-sizing: border-box;
}

.option:hover {
    border-left: 5px solid white;
    width: 108px;
}

.option.--is-active {
    border-right: 3px solid red;
    width: 108px;
    cursor: default;
}

.option.--is-active:hover {
    border-left: none;
}

.option img {
    height: 100%;
    width: auto;
    pointer-events: none;
}

.info {
    padding: 0 5% 0 0;
    display: flex;
    justify-content: flex-end;
}

.info p {
    margin-top: 0;
}

.colours {
    position: absolute;
    left: 120px;	
}

.tiles {
    /*position: absolute;*/
    bottom: 1px;
	width: 100%;
    height: 50px;
    position: relative;
    overflow-x: hidden;
}

.tray_tile {
    width: 40px;
    height: 40px;
    position: relative;
    overflow-x: hidden;
}

.tray__slide_tile {
    position: absolute;
    display: flex;
    /*right: 10px;
    /*   transform: translateX(-50%);
  animation: wheelin 1s 2s ease-in-out forwards; */
}

.tray__swatch_tile {
    transition: 0.1s ease-in;
    height: 40px;
    min-width: 40px;
    flex: 1;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.3);
    background-size: cover;
    background-position: center;
}

.tray__swatch_tile:hover {
    border-left: 3px solid white;
    width: 43px;
}

.tray__swatch_tile:nth-child(5n+5) {
    margin-right: 0px;
}

.tray {
    width: 100%;
    height: 50px;
    position: relative;
    overflow-x: hidden;
}

.tray__slide {
    position: absolute;
    display: flex;
    left: 0;
    /*   transform: translateX(-50%);
  animation: wheelin 1s 2s ease-in-out forwards; */
}

.tray__swatch {
    transition: 0.1s ease-in;
    height: 50px;
    min-width: 70px;
    flex: 1;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.3);
    background-size: cover;
    background-position: center;
}

.tray__swatch:nth-child(5n+5) {
    margin-right: 0px;
}

.tray__swatch_terrace {
    transition: 0.1s ease-in;
    height: 50px;
    min-width: 70px;
    flex: 1;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.3);
    background-size: cover;
    background-position: center;
}

.tray__swatch_terrace:nth-child(5n+5) {
    margin-right: 0px;
}

.tray__swatch_design {
    transition: 0.1s ease-in;
    height: 50px;
    min-width: 70px;
    flex: 1;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.3);
    background-size: cover;
    background-position: center;
}

.tray__swatch_design:nth-child(5n+5) {
    margin-right: 0px;
}

.drag-notice {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2em;
    width: 10em;
    height: 10em;
    box-sizing: border-box;
    font-size: 0.9em;
    font-weight: 800;
    text-transform: uppercase;
    text-align: center;
    border-radius: 5em;
    background: white;
    position: absolute;
}

.drag-notice.start {
    -webkit-animation: popout 0.25s 3s forwards;
    animation: popout 0.25s 3s forwards;
}

.onofftext{
	position: relative; 
	left: 10px;
	font-size: 14px; color: black; font-family: Trebuchet, Arial, sans-serif; font-weight: bold;
}

    .onoffswitch {
		position: absolute;
        /*position: relative;*/ 
		left: 330px;
		width: 70px;
        -webkit-user-select:none; -moz-user-select:none; -ms-user-select: none;
    }
    .onoffswitch-checkbox {
        position: absolute;
        opacity: 0;
        pointer-events: none;
    }
    .onoffswitch-label {
        display: block; overflow: hidden; cursor: pointer;
        border: 2px solid #999999; border-radius: 20px;
    }
    .onoffswitch-inner {
        display: block; width: 200%; margin-left: -100%;
        transition: margin 0.3s ease-in 0s;
    }
    .onoffswitch-inner:before, .onoffswitch-inner:after {
        display: block; float: left; width: 50%; height: 30px; padding: 0; line-height: 30px;
        font-size: 14px; color: white; font-family: Trebuchet, Arial, sans-serif; font-weight: bold;
        box-sizing: border-box;
    }
    .onoffswitch-inner:before {
        content: "ON";
        padding-left: 10px;
        background-color: #8ED18E; color: #FFFFFF;
    }
    .onoffswitch-inner:after {
        content: "OFF";
        padding-right: 10px;
        background-color: #C76C6C; color: #000000;
        text-align: right;
    }
    .onoffswitch-switch {
        display: block; width: 18px; margin: 6px;
        background: #FFFFFF;
        position: absolute; top: 0; bottom: 0;
        right: 36px;
        border: 2px solid #999999; border-radius: 20px;
        transition: all 0.3s ease-in 0s; 
    }
    .onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
        margin-left: 0;
    }
    .onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
        right: 0px; 
    }

@-webkit-keyframes popout {
    to {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
}

@keyframes popout {
    to {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
}

@-webkit-keyframes wheelin {
    to {
        -webkit-transform: translateX(0);
        transform: translateX(0);
    }
}

@keyframes wheelin {
    to {
        -webkit-transform: translateX(0);
        transform: translateX(0);
    }
}

@media (max-width: 960px) {
    .options {
        top: 0;
    }
	.colours {
        top: 0;
		left: 60px;
    }
	
	.onoffswitch {
		 top: 140px;
    }
	
	.mouse-controls {
 	  visibility: hidden;
}
	
	.tiles {
		 top: 0;
    }

    .info {
        padding: 0 5% 1em 0;
    }

    .info__message {
        display: flex;
        align-items: flex-end;
    }

    .info__message p {
        margin: 0;
        font-size: 0.7em;
    }

    .frame {
        left: auto;
        right: 0;
        padding-left: 6rem;
    }

    .frame__links {
        display: block;
        margin: 0;
        text-align: right;
    }
}

@media (max-width: 720px) {
   
	.info {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 0 1em 1em;
    }

    .info__message {
        margin-bottom: 1em;
    }
}

@media (max-width: 680px) {
    .info {
        padding: 1em 2em;
    }

    .info__message {
        display: none;
    }

    .options {
        bottom: 50px;
    }
	
	.colours {       	
		bottom: 50px;
		left: 60px;
    }
	
	.onoffswitch {
		 top: 100px;
		 left: 60px;
    }
		
	.dd-image-right {
		float: right;
		margin-right: 0px;
		margin-left: 0px;
	}
	
	.dd-option-image, .dd-selected-image {
  		max-width: 40px;
	}
	
	.dd-select {
		margin-bottom: 1px;
		height: 43px;
		width: 45px !important;
		display: flex;
	}

	.dd-container {
		position: relative;
		padding-bottom: 0px;
	}

    .option {
        margin-bottom: 1px;
        padding: 5px;
        height: 45px;
        width: 45px;
        display: flex;
    }

    .option.--is-active {
        /*border-right: 2px solid red;*/
        /*width: 47px;*/
    }

    .option img {
        height: 100%;
        width: auto;
        pointer-events: none;
    }
}